Monday, 24 March 2014

App Fabric cumulative update package installation error when installing prerequisites for SharePoint 2013

Recently I started installing SharePoint 2013 on a standalone machine without internet connection. The prerequisites installers were already downloaded and available. The prerequisites installation went smoothly till it reached the App Fabric installation stage. App Fabric installation caused an error and the cumulative update package was skipped.  When I manually installed App Fabric the cumulative package was not getting installed and was throwing a weird error “Package does not contain compatible update”.

 I thought as the server had Windows 2008 R2, I will have to install WindowsServerAppFabricSetup_x64_6.1 version of App Fabric. But this didn’t solve the issue either. After hours of installing, rebooting, reinstalling and searching the internet I came upon the forum post by Amalaraja Fernando  which clearly mentioned the steps to install SharePoint 2013 prerequisites on Windows 2008 R2 machine without internet connection. I followed the steps and ran the prerequisites installer manually with command line arguments and both the App Fabric and the cumulative update (KB 2671763) got installed successfully.

No comments:

Post a Comment